Package twisted :: Package manhole :: Module explorer :: Class CRUFT_WatchyThingie

[show private | hide private]
[frames | no frames]

## Class CRUFT_WatchyThingie

Method Summary
| ``watchIdentifier`(self, identifier, callback)` Watch the object returned by evaluating the identifier.
| ``watchObject`(self, object, identifier, callback)` Watch the given object.

Method Details

### watchIdentifier(self, identifier, callback)

Watch the object returned by evaluating the identifier.

Whenever I think the object might have changed, I'll send an ObjectLink of it to the callback.

WARNING: This calls eval() on its argument!

### watchObject(self, object, identifier, callback)

Watch the given object.

Whenever I think the object might have changed, I'll send an ObjectLink of it to the callback.

The identifier argument is used to generate identifiers for objects which are members of this one.

Generated by Epydoc 1.1 on Thu May 8 13:18:32 2003 | http://epydoc.sf.net